Name:           jtnef
Version:        1.8.0
Release:        4%{?dist}
Summary:        Java TNEF package

Group:          Development/Libraries
License:        GPLv2+
URL:            http://www.freeutils.net/source/jtnef/
Source0:        http://www.freeutils.net/source/jtnef/jtnef-1_8_0.zip
Source1:        jtnef.pom
BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  javamail
BuildRequires:  apache-poi
Requires:       jpackage-utils
%if 0%{?fedora} >= 20 || 0%{?rhel} >= 7
Requires:       java-headless
%else
Requires:       java
%endif
Requires:       javamail
Requires:       apache-poi

%description
The Java TNEF package is an open source code implementation of a TNEF message
handler, which can be used as a command-line utility or integrated into Java-
based mail applications to extract the original message content. 

Transport-Neutral Encapsulation Format (TNEF) is Microsoft's non-standard
format for encapsulating mail which has any non-plain-text content or
properties (such as rich text, embedded OLE objects, voting buttons, and
sometimes just attachments). Whether or not a given message is encoded using
TNEF is determined by the Outlook default settings, per-recipient setting,
Exchange Server settings, and message type and content.

Once a TNEF message is used, the entire message, including all the original
attachments and properties, is encapsulated in a single attachment of mime
type "application/ms-tnef" added to the message to be sent over the Internet.
This attachment is usually named "WINMAIL.DAT", and when sent to any non-MS
mail client, is useless, and makes access to the original message attachments
impossible.


%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -c
find -name '*.jar' -delete
sed -i -e 's/\r//' *.txt
mkdir classes


%build
export CLASSPATH=$(build-classpath javamail poi)
export LANG=en_US.UTF-8
javac -d classes `find src -name *.java`
jar -cf %{name}.jar -C classes .

javadoc -quiet -windowtitle "Java TNEF package %version" -use -d javadoc -sourcepath src net.freeutils.tnef


%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p %{name}.jar   \
  $RPM_BUILD_ROOT%{_javadir}/
mkdir -p $RPM_BUILD_ROOT%{_mavenpomdir}
sed -e s/@VERSION@/%{version}/ < %SOURCE1 > $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}
cp -rp javadoc $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%files -f .mfiles
%doc CHANGES.txt LICENSE.txt README.txt

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}


%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 21 2014 Orion Poplawski <orion@cora.nwra.com> - 1.8.0-3
- Require java-headless (bug #1068328)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 12 2013 Orion Poplawski <orion@cora.nwra.com> - 1.8.0-1
- Update to 1.8.0
- Add pom, maven depmap
- Cleanup spec
- Drop ExcludeArch ppc64

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Orion Poplawski <orion@cora.nwra.com> - 1.6.0-4
- No apache-poi on ppc64

* Mon Dec 6 2010 Orion Poplawski <orion@cora.nwra.com> - 1.6.0-3
- Drop versioned jar and javadoc
- Remove BuildRoot and %%clean

* Fri Sep 3 2010 Orion Poplawski <orion@cora.nwra.com> - 1.6.0-2
- Change to javamail from classpathx-mail

* Thu Jun 24 2010 Orion Poplawski <orion@cora.nwra.com> - 1.6.0-1
- Update to 1.6.0

* Mon Oct 5 2009 Orion Poplawski <orion@cora.nwra.com> - 1.5.0-1
- Initial Fedora Package
